From dcd57dde2994893cbe8e72c88afb3da7e0ccdabe Mon Sep 17 00:00:00 2001
From: "Rick Farina (Zero_Chaos)" <zerochaos@gentoo.org>
Date: Mon, 14 Jan 2019 12:55:03 -0500
Subject: [PATCH 08/13] allow only sample rates supported by both models of
 bladerf

---
 src/qtgui/ioconfig.cpp | 18 ++----------------
 1 file changed, 2 insertions(+), 16 deletions(-)

diff --git a/src/qtgui/ioconfig.cpp b/src/qtgui/ioconfig.cpp
index ad072a1..cc9c26d 100644
--- a/src/qtgui/ioconfig.cpp
+++ b/src/qtgui/ioconfig.cpp
@@ -384,11 +384,8 @@ void CIoConfig::updateInputSampleRates(int rate)
     }
     else if (ui->inDevEdit->text().contains("bladerf"))
     {
-        ui->inSrCombo->addItem("160000");
-        ui->inSrCombo->addItem("250000");
-        ui->inSrCombo->addItem("500000");
-        ui->inSrCombo->addItem("1000000");
-        ui->inSrCombo->addItem("2000000");
+        if (rate > 0)
+            ui->inSrCombo->addItem(QString("%1").arg(rate));
         ui->inSrCombo->addItem("5000000");
         ui->inSrCombo->addItem("8000000");
         ui->inSrCombo->addItem("10000000");
@@ -398,17 +395,6 @@ void CIoConfig::updateInputSampleRates(int rate)
         ui->inSrCombo->addItem("30000000");
         ui->inSrCombo->addItem("35000000");
         ui->inSrCombo->addItem("40000000");
-        ui->inSrCombo->addItem("45000000");
-        ui->inSrCombo->addItem("50000000");
-        ui->inSrCombo->addItem("55000000");
-        ui->inSrCombo->addItem("60000000");
-        if (rate > 0)
-        {
-            ui->inSrCombo->insertItem(0, QString("%1").arg(rate));
-            ui->inSrCombo->setCurrentIndex(0);
-        }
-        else
-            ui->inSrCombo->setCurrentIndex(5); // select 5 MHz
     }
     else if (ui->inDevEdit->text().contains("sdr-iq"))
     {
-- 
2.20.1

